// Utilisation des flots d'entree-sortie C++
#include <iostream>
// Utilisation de la classe LocalMap<T>
#include "sopnamsp.h"
#include "ntoolsinit.h"
#include "spheregorski.h"

// Utilisation des generateurs aleatoires
#include "srandgen.h"
#include "fitsioserver.h" 
#include "skymapinit.h"

int main()
{

  // ----- ATTENTION -------
  // Initialisation de Sophya
  // A faire au debut de main()
  SophyaInit();

  int m=4;
  SphereGorski<float> sph(m);
  cout << " nombre de pixels: " << sph.NbPixels() << endl;
  for(int j=0; j<sph.NbPixels(); j++ ) {
    sph(j)= (float)j;
  }
  sph.print(cout);
  FitsIoServer fserv;
  fserv.save(sph, "sph.fits");
  SphereGorski<double> sph2(m);
  fserv.load(sph2, "sph.fits");
  sph2.print(cout);
}
